From 364db51a33ba323cf7505ad138671e104d8cb975 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 17:48:16 +0000
Subject: [PATCH 373/1001] Useful info in this log statement.


---

diff --git a/hubs/worker.py b/hubs/worker.py
index bec32b2..ae38f00 100755
--- a/hubs/worker.py
+++ b/hubs/worker.py
@@ -58,7 +58,7 @@ def main(args):
         log.info("Entering work loop.")
         while True:
             task = queue.wait()  # Wait forever...  timeout is optional.
-            log.info("Working on %r" % task)
+            log.info("Working on %r.  (backlog is %r)" % (task, queue.length))
             item = json.loads(task.data)
             idx = item['idx']  # A widget ID
             handle(idx)

